## lvtk 1.0.4~dfsg0

=== debian/changelog ===
lvtk (1.0.4~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Update Vcs tags.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Mon, 18 Feb 2013 02:15:49 +0000

lvtk (1.0.3~dfsg0-1) unstable; urgency=low

  * Initial release. (Closes: #696448)

 -- Alessio Treglia <alessio@debian.org>  Fri, 21 Dec 2012 14:27:21 +0000

## lvtk 1.1.1~dfsg0

=== wscript ===
#!/usr/bin/env python
# encoding: utf-8
# Copyright (C) 2012 Michael Fisher <mfisher31@gmail.com>

''' This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public Licence as published by
the Free Software Foundation, either version 3 of the Licence, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
file COPYING for more details. '''

import sys
from subprocess import call

sys.path.insert(0, "tools/waf")
import autowaf, cross, lv2, git

LVTK_VERSION="1.1.1"
LVTK_MAJOR_VERSION=LVTK_VERSION[0]
LVTK_MINOR_VERSION=LVTK_VERSION[2]
LVTK_MICRO_VERSION=LVTK_VERSION[4]

# Anything appended to version number goes here
LVTK_EXTRA_VERSION=""

# For waf dist
APPNAME = 'lvtk'
VERSION = LVTK_VERSION + LVTK_EXTRA_VERSION

LIB_LVTK_PLUGIN      = APPNAME + "_plugin" + LVTK_MAJOR_VERSION
LIB_LVTK_UI      	 = APPNAME + "_ui" + LVTK_MAJOR_VERSION

# Required by waf
top = '.'
out = 'build'

def options(opts):
	opts.load("cross compiler_c compiler_cxx lv2 boost")
	autowaf.set_options(opts)
	
	opts.add_option('--disable-tools', default=False, \
		dest="disable_tools", action='store_true', \
		help="Disable Building Tools")
	opts.add_option('--disable-ui', default=False, \
		dest="disable_ui", action='store_true', \
		help="Disable Building UI libraries")
	opts.add_option('--disable-examples', default=False, \
		dest="disable_examples", action='store_true', \
		help="Disable Building Examples")
	opts.add_option('--ziptype', default='gz', \
		dest='ziptype', type='string', \
		help="Zip type for waf dist (gz/bz2/zip) [ Default: gz ]")


def configure(conf):
	conf.load("cross compiler_c compiler_cxx lv2 boost")

	a = autowaf
	
	conf.define ("LVTK_VERSION", VERSION)
	conf.define ("LVTK_MAJOR_VERSION",LVTK_MAJOR_VERSION)
	conf.define ("LVTK_MINOR_VERSION",LVTK_MINOR_VERSION)
	conf.define ("LVTK_MICRO_VERSION",LVTK_MICRO_VERSION)
	conf.define ("LVTK_EXTRA_VERSION",LVTK_EXTRA_VERSION)
	conf.write_config_header("version.h")

	conf.check_inline()

	if not conf.options.disable_tools: conf.check_boost()
		
	# Check for required packages
	conf.check_lv2 ("1.2.0")
	
	# UI Configuration
	autowaf.check_pkg(conf, "gtkmm-2.4", uselib_store="gtkmm", \
				atleast_version="2.20.0", mandatory=False)
	
	# Setup the Environment
	conf.env.EXAMPLES_DISABLED  = conf.options.disable_examples
	conf.env.TOOLS_DISABLED	    = conf.options.disable_tools
	conf.env.UI_DISABLED        = conf.options.disable_ui
	
	# Examples plugins depend on tools
	if conf.env.TOOLS_DISABLED or conf.env.EXAMPLES_DISABLED:
		conf.env.BUILD_EXAMPLE_PLUGINS = False
	else: conf.env.BUILD_EXAMPLE_PLUGINS = True
	
	# Example UI's depend on Gtkmm and Plugins
	if conf.env.LIB_gtkmm and conf.env.BUILD_EXAMPLE_PLUGINS and \
		not conf.env.EXAMPLES_DISABLED and not conf.env.UI_DISABLED:
		conf.env.BUILD_EXAMPLE_UIS  = True
	else: conf.env.BUILD_EXAMPLE_UIS  = False
			
	conf.env.LVTK_MAJOR_VERSION = LVTK_MAJOR_VERSION
	conf.env.LVTK_MINOR_VERSION = LVTK_MINOR_VERSION
	conf.env.LIB_LVTK_PLUGIN    = LIB_LVTK_PLUGIN
	conf.env.LIB_LVTK_UI        = LIB_LVTK_UI
	conf.env.APPNAME	        = APPNAME
	
	autowaf.configure(conf)
	
	autowaf.display_header( "LV2 Toolkit Configuration")
	autowaf.display_msg(conf,"Library Version", LVTK_VERSION)
	autowaf.display_msg(conf,"Build Plugin Library", True)
	autowaf.display_msg(conf,"Build UI Library",not conf.env.UI_DISABLED)
	autowaf.display_msg(conf,"Build example plugins", not conf.env.EXAMPLES_DISABLED)
	autowaf.display_msg(conf,"Build example UI's", conf.env.BUILD_EXAMPLE_UIS)
	autowaf.display_msg(conf,"Build tools", not conf.env.TOOLS_DISABLED)
	
def build(bld):
    
	subdirs = ['src','tools','examples']
	for subdir in subdirs: 
		bld.recurse(subdir)
		bld.add_group()
	
	pcvers = LVTK_MAJOR_VERSION
	
	# Build PC Files
	autowaf.build_pc(bld, 'LVTK', LVTK_VERSION, pcvers, [],
						{'LVTK_MAJOR_VERSION'  : LVTK_MAJOR_VERSION,
						'VERSION'              : LVTK_VERSION,
						'LVTK_PKG_DEPS'        : 'lv2'})
    
	autowaf.build_pc(bld, 'LVTK-PLUGIN', LVTK_VERSION, pcvers, [],
						{'LVTK_MAJOR_VERSION' : LVTK_MAJOR_VERSION,
						'VERSION'              : LVTK_VERSION,
						'THELIB'		       : LIB_LVTK_PLUGIN,
						'LVTK_PKG_DEPS'       : 'lv2'})
						
	if not bld.env.UI_DISABLED:
		autowaf.build_pc(bld, 'LVTK-UI', LVTK_VERSION, pcvers, [],
						{'LVTK_MAJOR_VERSION' : LVTK_MAJOR_VERSION,
						'VERSION'              : LVTK_VERSION,
						'THELIB'		       : LIB_LVTK_UI,
						'LVTK_PKG_DEPS'       : 'lv2'})
		if bld.env.LIB_gtkmm:
			autowaf.build_pc(bld, 'LVTK-GTKUI', LVTK_VERSION, pcvers, [],
						{'LVTK_MAJOR_VERSION' : LVTK_MAJOR_VERSION,
						'VERSION'              : LVTK_VERSION,
						'THELIB'		       : LIB_LVTK_UI,
						'LVTK_PKG_DEPS'       : 'lv2 gtkmm-2.4'})
						
	bld.add_group()	
	
	# Install Static Libraries
	bld.install_files(bld.env['LIBDIR'], bld.path.ant_glob("build/**/*.a"))
	
	# Documentation
	autowaf.build_dox(bld, 'LVTK', VERSION, top, out)
	bld.add_group()
	
	# Header Installation
	header_base = bld.env['INCLUDEDIR'] + "/" \
				+ APPNAME + "-" + pcvers
				
	bld.install_files(header_base+"/lvtk", "build/version.h")
	
	bld.install_files(header_base+"/lvtk", \
					  bld.path.ant_glob("lvtk/*.*"))
	
	bld.install_files(header_base+"/lvtk/behaviors", \
					  bld.path.ant_glob("lvtk/behaviors/*.*"))
					  
	bld.install_files(header_base+"/lvtk/ext", \
					  bld.path.ant_glob("lvtk/ext/*.*"))
					  
	bld.install_files(header_base+"/lvtk/private", \
					  bld.path.ant_glob("lvtk/private/*.*"))


def release_tag(ctx):
	tag = git.tag_version(VERSION, "Release: v" + VERSION , "lvtk-")
	if tag : print "Git Tag Created: " + tag

def dist(ctx):
    z=ctx.options.ziptype
    if 'zip' in z:
        ziptype = z
    else:
        ziptype = "tar." + z
    ctx.algo       = ziptype

=== debian/changelog ===
lvtk (1.1.1~dfsg0-1) unstable; urgency=low

  * New upstream release:
    - Small Fixes in waf scripts
    - Code formatting
    - Fixed typos in example rdf files
    - Added basic C++ wrappers for LV2 Atom handling/forging
    - Added Make Path mixin
    - LV2UI rev3 Supported
    - Support LV2UI_Port_Map
    - Support LV2UI Port Subscribe
    - Support LV2UI Touch
    - Support LV2UI Peak Data
    - Support buf-size
    - Support Options Extension
    - Support for morph extension (data only)
    - Examples install to a single lvtk.lv2 bundle
  * Fix lvtk-doc.install file.

 -- Alessio Treglia <alessio@debian.org>  Thu, 09 May 2013 12:58:09 +0200

=== debian/control ===
Source: lvtk
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9),
 libboost-dev,
 libgtkmm-2.4-dev,
 lv2-dev,
 pkg-config,
 python
Build-Depends-Indep:
 doxygen,
 graphviz
Standards-Version: 3.9.4
Homepage: http://lvtoolkit.org/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lvtk.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lvtk.git

Package: lvtk-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Enhances:
 lvtk-dev
Description: LV2 Toolkit documentation
 LV2 Toolkit is a set of C++ wrappers around the LV2 C API.
 The included libraries ease writing LV2 plugins and UIs
 in C++ by inheriting from easy to use template classes.
 .
 LV2 is a portable plugin standard for audio systems,
 similar in scope to  LADSPA, VST, AU, and others.
 .
 This package provides the developer reference.

Package: lvtk-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-dev,
 libgtkmm-2.4-dev,
 lv2-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 pkg-config
Suggests:
 lvtk-doc
Description: LV2 C++ wrappers and utilities
 LV2 Toolkit is a set of C++ wrappers around the LV2 C API.
 The included libraries ease writing LV2 plugins and UIs
 in C++ by inheriting from easy to use template classes.
 .
 LV2 is a portable plugin standard for audio systems,
 similar in scope to  LADSPA, VST, AU, and others.
 .
 This package provides the development headers.

Package: lvtk-tools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: LV2 C++ wrappers and utilities - tools
 LV2 Toolkit is a set of C++ wrappers around the LV2 C API.
 The included libraries ease writing LV2 plugins and UIs
 in C++ by inheriting from easy to use template classes.
 .
 LV2 is a portable plugin standard for audio systems,
 similar in scope to  LADSPA, VST, AU, and others.
 .
 This package contains the binary ttl2c, a program to
 generate C headers from RDF definition files.

Package: lvtk-examples
Section: sound
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Enhances:
 lvtk-dev
Provides:
 lv2-plugin
Description: LV2 C++ wrappers and utilities - examples plugins
 LV2 Toolkit is a set of C++ wrappers around the LV2 C API.
 The included libraries ease writing LV2 plugins and UIs
 in C++ by inheriting from easy to use template classes.
 .
 LV2 is a portable plugin standard for audio systems,
 similar in scope to  LADSPA, VST, AU, and others.
 .
 This package contains some example plugins.

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg.*// \
http://lvtoolkit.org/category/releases/ \
 .*/lvtk-(.*)\.tar\.gz

## lvtk 1.2.0~dfsg0

=== wscript ===
#!/usr/bin/env python
# encoding: utf-8
# Copyright (C) 2012 Michael Fisher <mfisher31@gmail.com>

''' This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public Licence as published by
the Free Software Foundation, either version 3 of the Licence, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
file COPYING for more details. '''

import sys
from subprocess import call

sys.path.insert(0, "tools/waf")
import autowaf, cross, lv2, git

LVTK_VERSION='1.2.0'
LVTK_MAJOR_VERSION=LVTK_VERSION[0]
LVTK_MINOR_VERSION=LVTK_VERSION[2]
LVTK_MICRO_VERSION=LVTK_VERSION[4]

# Anything appended to version number goes here
LVTK_EXTRA_VERSION=''

# For waf dist
APPNAME = 'lvtk'
VERSION = LVTK_VERSION + LVTK_EXTRA_VERSION

LIB_LVTK_PLUGIN = APPNAME + '_plugin' + LVTK_MAJOR_VERSION
LIB_LVTK_UI     = APPNAME + '_ui' + LVTK_MAJOR_VERSION

# Required by waf
top = '.'
out = 'build'

def options(opts):
    opts.load("cross compiler_c compiler_cxx lv2 boost")
    autowaf.set_options(opts)

    opts.add_option('--disable-tools', default=False, \
        dest="disable_tools", action='store_true', help='Disable Building Tools')
    opts.add_option('--disable-ui', default=False, \
        dest="disable_ui", action='store_true', help='Disable Building UI libraries')
    opts.add_option('--disable-examples', default=False, \
        dest="disable_examples", action='store_true', help='Disable Building Examples')
    opts.add_option('--ziptype', default='gz', \
        dest='ziptype', type='string', help='Zip type for waf dist (gz/bz2/zip) [ Default: gz ]')

def configure(conf):
    conf.load ("cross compiler_c compiler_cxx lv2 boost")

    conf.define ("LVTK_VERSION", VERSION)
    conf.define ("LVTK_MAJOR_VERSION", LVTK_MAJOR_VERSION)
    conf.define ("LVTK_MINOR_VERSION", LVTK_MINOR_VERSION)
    conf.define ("LVTK_MICRO_VERSION", LVTK_MICRO_VERSION)
    conf.define ("LVTK_EXTRA_VERSION", LVTK_EXTRA_VERSION)
    conf.write_config_header ('version.h')

    conf.check_inline()
    if not conf.options.disable_tools: conf.check_boost()

    # Check for required packages
    conf.check_lv2 ("1.6.0")

    # UI Configuration
    autowaf.check_pkg(conf, "gtkmm-2.4", uselib_store="gtkmm", \
                            atleast_version="2.20.0", mandatory=False)

    # Setup the Environment
    conf.env.EXAMPLES_DISABLED  = conf.options.disable_examples
    conf.env.TOOLS_DISABLED     = conf.options.disable_tools
    conf.env.UI_DISABLED        = conf.options.disable_ui
	
    # Examples plugins depend on tools
    if conf.env.TOOLS_DISABLED or conf.env.EXAMPLES_DISABLED:
        conf.env.BUILD_EXAMPLE_PLUGINS = False
    else: conf.env.BUILD_EXAMPLE_PLUGINS = True
	
    # Example UI's depend on Gtkmm and Plugins
    if conf.env.LIB_gtkmm and conf.env.BUILD_EXAMPLE_PLUGINS and \
        not conf.env.EXAMPLES_DISABLED and not conf.env.UI_DISABLED:
        conf.env.BUILD_EXAMPLE_UIS = True
    else: conf.env.BUILD_EXAMPLE_UIS = False
			
    conf.env.LVTK_MAJOR_VERSION = LVTK_MAJOR_VERSION
    conf.env.LVTK_MINOR_VERSION = LVTK_MINOR_VERSION
    conf.env.LIB_LVTK_PLUGIN    = LIB_LVTK_PLUGIN
    conf.env.LIB_LVTK_UI        = LIB_LVTK_UI
    conf.env.APPNAME            = APPNAME
	
    autowaf.configure(conf)

    autowaf.display_header( "LV2 Toolkit Configuration")
    autowaf.display_msg(conf,"Library Version", LVTK_VERSION)
    autowaf.display_msg(conf,"Build Plugin Library", True)
    autowaf.display_msg(conf,"Build UI Library",not conf.env.UI_DISABLED)
    autowaf.display_msg(conf,"Build example plugins", not conf.env.EXAMPLES_DISABLED)
    autowaf.display_msg(conf,"Build example UI's", conf.env.BUILD_EXAMPLE_UIS)
    autowaf.display_msg(conf,"Build tools", not conf.env.TOOLS_DISABLED)
	
def build(bld):
    for subdir in ['src','tools','examples']:
        bld.recurse(subdir)
        bld.add_group()

    pcvers = LVTK_MAJOR_VERSION
	
    # Build PC Files
    autowaf.build_pc(bld, 'LVTK', LVTK_VERSION, pcvers, [],
        {'LVTK_MAJOR_VERSION'  : LVTK_MAJOR_VERSION,
        'VERSION'              : LVTK_VERSION,
        'LVTK_PKG_DEPS'        : 'lv2'})

    autowaf.build_pc(bld, 'LVTK-PLUGIN', LVTK_VERSION, pcvers, [],
        {'LVTK_MAJOR_VERSION' : LVTK_MAJOR_VERSION,
        'VERSION'              : LVTK_VERSION,
        'THELIB'		       : LIB_LVTK_PLUGIN,
        'LVTK_PKG_DEPS'       : 'lv2'})
						
    if not bld.env.UI_DISABLED:
        autowaf.build_pc(bld, 'LVTK-UI', LVTK_VERSION, pcvers, [],
            {'LVTK_MAJOR_VERSION' : LVTK_MAJOR_VERSION,
            'VERSION'             : LVTK_VERSION,
            'THELIB'              : LIB_LVTK_UI,
            'LVTK_PKG_DEPS'       : 'lv2'})

        if bld.env.LIB_gtkmm:
            autowaf.build_pc(bld, 'LVTK-GTKUI', LVTK_VERSION, pcvers, [],
                {'LVTK_MAJOR_VERSION' : LVTK_MAJOR_VERSION,
                'VERSION'             : LVTK_VERSION,
                'THELIB'              : LIB_LVTK_UI,
                'LVTK_PKG_DEPS'       : 'lv2 gtkmm-2.4'})
						
    bld.add_group()
	
    # Install Static Libraries
    bld.install_files(bld.env['LIBDIR'], bld.path.ant_glob("build/**/*.a"))

    # Documentation
    autowaf.build_dox(bld, 'LVTK', VERSION, top, out)
    bld.add_group()

    # Header Installation
    header_base = bld.env['INCLUDEDIR'] + "/"  + APPNAME + "-" + pcvers
    bld.install_files(header_base+"/lvtk", "build/version.h")
    bld.install_files(header_base+"/lvtk", bld.path.ant_glob("lvtk/*.*"))
    bld.install_files(header_base+"/lvtk/behaviors", bld.path.ant_glob("lvtk/behaviors/*.*"))
    bld.install_files(header_base+"/lvtk/ext", bld.path.ant_glob("lvtk/ext/*.*"))
    bld.install_files(header_base+"/lvtk/private", bld.path.ant_glob("lvtk/private/*.*"))


def release_tag(ctx):
    tag = git.tag_version(VERSION, "Release: v" + VERSION , "lvtk-")
    if tag : print "Git Tag Created: " + tag

def dist(ctx):
    z=ctx.options.ziptype
    if 'zip' in z:
        ziptype = z
    else:
        ziptype = "tar." + z
    ctx.algo       = ziptype

=== debian/changelog ===
lvtk (1.2.0~dfsg0-1build1) wily; urgency=medium

  * No-change rebuild against libglibmm-2.4-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 21:43:06 +0000

lvtk (1.2.0~dfsg0-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * Added myself as uploader

  [ Alessio Treglia ]
  * New upstream release.
  * Update homepage, project has moved to github.
  * Fix watch file.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 11 Oct 2014 14:14:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: lvtk
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9),
  libboost-dev,
@@ -14,8 +16,8 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 3.9.4
-Homepage: http://lvtoolkit.org/
+Standards-Version: 3.9.5
+Homepage: https://github.com/lvtk/lvtk/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lvtk.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lvtk.git

=== debian/rules ===
#!/usr/bin/make -f

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
dfsg_version = $(upstream_version)~dfsg0
pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LDFLAGS+=-Wl,--as-needed
WAF = ./waf

ifeq ($(shell dpkg-query -s doxygen graphviz 1>/dev/null 2>&1 && echo yes),yes)
CONFIGURE_EXTRA_FLAGS += --docs
endif

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--strict \
		--debug \
		$(CONFIGURE_EXTRA_FLAGS)

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	rm -rf build .waf*
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

# get-orig-source to drop waf
get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=.
	tar -xf $(pkg)_$(upstream_version).orig.tar.gz
	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
	cd $(pkg)-$(dfsg_version) ; python waf --help > /dev/null
	mv $(pkg)-$(dfsg_version)/.waf-*/* $(pkg)-$(dfsg_version)
	sed -i '/^#==>$$/,$$d' $(pkg)-$(dfsg_version)/waf
	rmdir $(pkg)-$(dfsg_version)/.waf-*
	find $(pkg)-$(dfsg_version)/ -name '*.pyc' -delete
	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
	xz -9fz $(pkg)_$(dfsg_version).orig.tar
	rm -rf $(pkg)-$(dfsg_version)

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg.*//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lvtk-$1\.tar\.gz/ \
https://github.com/lvtk/lvtk/tags .*/v?(\d\S*)\.tar\.gz
